/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.demo.travelagency.web;

/**
 * @author Christophe HAMERLING - eBMWebSourcing
 *
 */
public class BookingInfoBean {
    
    private String firstName;
    
    private String lastName;
    
    private String email;
    
    private String departDate;
    
    private String returnDate;
    
    private String fromCity;
    
    private String toCity;

    /**
     * Creates a new instance of {@link BookingInfoBean}
     *
     * @param firstName
     * @param lastName
     * @param email
     * @param departDate
     * @param returnDate
     * @param fromCity
     * @param toCity
     */
    public BookingInfoBean(String firstName, String lastName, String email, String departDate, String returnDate, String fromCity, String toCity) {
        super();
        this.firstName = firstName;
        this.lastName = lastName;
        this.email = email;
        this.departDate = departDate;
        this.returnDate = returnDate;
        this.fromCity = fromCity;
        this.toCity = toCity;
    }

    /**
     * @return the departDate
     */
    public String getDepartDate() {
        return departDate;
    }

    /**
     * @param departDate the departDate to set
     */
    public void setDepartDate(String departDate) {
        this.departDate = departDate;
    }

    /**
     * @return the email
     */
    public String getEmail() {
        return email;
    }

    /**
     * @param email the email to set
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * @return the firstName
     */
    public String getFirstName() {
        return firstName;
    }

    /**
     * @param firstName the firstName to set
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /**
     * @return the fromCity
     */
    public String getFromCity() {
        return fromCity;
    }

    /**
     * @param fromCity the fromCity to set
     */
    public void setFromCity(String fromCity) {
        this.fromCity = fromCity;
    }

    /**
     * @return the lastName
     */
    public String getLastName() {
        return lastName;
    }

    /**
     * @param lastName the lastName to set
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    /**
     * @return the returnDate
     */
    public String getReturnDate() {
        return returnDate;
    }

    /**
     * @param returnDate the returnDate to set
     */
    public void setReturnDate(String returnDate) {
        this.returnDate = returnDate;
    }

    /**
     * @return the toCity
     */
    public String getToCity() {
        return toCity;
    }

    /**
     * @param toCity the toCity to set
     */
    public void setToCity(String toCity) {
        this.toCity = toCity;
    }
}
