package org.objectweb.petals.servlet;

import java.io.File;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.objectweb.petals.system.launch.Launcher;

public class PetalsServlet extends HttpServlet {

    /**
     * 
     */
    private static final long serialVersionUID = -244680354549388172L;
    
    @Override
    public void init() throws ServletException {
        System.setProperty("petals.home", getServletContext().getRealPath("/")
           +"WEB-INF" + File.separator +"petals-root");
        String[] params = new String[2];
        params[0] = "-standalone";
        params[1] = "false";
        Launcher.main(params);
    }

    @Override
    public void destroy() {
        super.destroy();
        String[] params = new String[1];
        params[0] = "stop";
        Launcher.main(params);
    }
    
    
}
