<!--
/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -
 * $Id: retrieve_exchanges.jsp msauvage $
 * -
*/
-->
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="true"%>
<%@page import="java.util.Map"%>
<%@page
	import="org.objectweb.petals.tools.webadmin.Object.ServerConfiguration"%>
<%@page import="java.util.HashMap"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Date"%>
<%@page import="org.objectweb.petals.tools.webadmin.Object.ExchangesList"%>
<%@page import="java.text.DateFormat"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.Locale"%>
<%@page import="java.util.ArrayList"%>
<jsp:useBean id="MonitorController" scope="session"
	class="org.objectweb.petals.tools.webadmin.controller.MonitorController"></jsp:useBean>
<%
	/****** retrieval and update of exchanges datas in session ******/
	//get stored exchanges : a Map of <server name, server exchanges>
	Map<String, ExchangesList> stored_exchanges = null;
	if (session.getAttribute("stored_exchanges") != null)
	{
		stored_exchanges = (Map<String, ExchangesList>) session.getAttribute("stored_exchanges");
	}
	else
	{
		stored_exchanges = new HashMap<String, ExchangesList>();
	}
	List<ServerConfiguration> startedServers = null;
	List<Integer> toRemove=new ArrayList<Integer>();
	if (session.getAttribute("startedServers") != null)
	{
		//get servers
		startedServers = (List<ServerConfiguration>) session.getAttribute("startedServers");

		//create and update of last retrieve time
		long lastExchRetrieveTime = 0;
		if (session.getAttribute("lastExchRetrieveTime") != null)
		{
			lastExchRetrieveTime = (Long) session.getAttribute("lastExchRetrieveTime");
		}
		//set new retrieve time before retrieving
		long newRetrieveTime = new Date().getTime();
		//object for dates formating
		DateFormat df = new SimpleDateFormat("HH:mm:ss.SSS", Locale.ENGLISH);
		%>
		<!-- Exchanges Retrieved at <%=df.format(newRetrieveTime)%> -->
		<%
		//get exchanges on each server since last retrieve and add into each list
		for (ServerConfiguration currentServer : startedServers)
		{
			try {
				ExchangesList newExchanges = MonitorController.getExchanges(currentServer.getConnection(),lastExchRetrieveTime);
				if (newExchanges!=null && newExchanges.size()>0)
				{
					MonitorController.setExchanges(stored_exchanges,currentServer.getName(),newExchanges);
				}
			} catch (Exception e) {
				%>
				Server <%=currentServer.getName()%> unreachable - removing from list<br />
				<%
				toRemove.add(startedServers.indexOf(currentServer));
			}
		}
		//update of started servers list if needed
		if(toRemove!=null && toRemove.size()>0)
		{
			for (int server : toRemove)
			{
				startedServers.remove(server);
			}
			%>
			<strong>Reloading menu...</strong><br />
			<script type="text/javascript">
				openPage('menu.jsp','menu');
			</script>
			<%
		}

		//put stored_exchanges in session
		session.setAttribute("stored_exchanges",stored_exchanges);
		//put new retrieve time in session
		session.setAttribute("lastExchRetrieveTime", newRetrieveTime);
	}
	/**************************************************/
%>
