/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.demo.travelagency.airline;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import org.objectweb.petals.demo.travelagency.airline.beans.AirlineBookingResultBean;

/**
 * @author Christophe HAMERLING - eBMWebSourcing
 * 
 */
@WebService(targetNamespace = "http://petals.objectweb.org/")
public interface AirlineBookingWebService {

    @WebMethod
    public AirlineBookingResultBean bookFlight(@WebParam(name = "first_name")
    String firstName, @WebParam(name = "last_name")
    String lastName, @WebParam(name = "email")
    String email, @WebParam(name = "from_city")
    String from, @WebParam(name = "to_city")
    String to, @WebParam(name = "departure_date")
    String departureDate, @WebParam(name = "return_date")
    String returnDate);

}
