<!--
/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -
 * $Id: home.jsp msauvage $
 * -
*/
-->
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="true"%>
<%@page import="org.objectweb.petals.tools.webadmin.Object.ServerConfiguration"%>
<%@page import="java.util.HashMap"%>
<!-- 
/**
!! WARN !!
Eclipse shows this bean as unused but it's used by jsp:setProperty below 
*/
-->
<jsp:useBean id="MonitorController" scope="session"
	class="org.objectweb.petals.tools.webadmin.controller.MonitorController"></jsp:useBean>
<%
//no entry server configuration found
if (request.getMethod().equals("GET") && session.getAttribute("entryServerConf")==null )
{
	session.invalidate();
	response.sendRedirect(request.getContextPath()+"/");
}
else
{
	ServerConfiguration serverConf = (ServerConfiguration) session.getAttribute("entryServerConf");
	if (serverConf!=null)
	{
		//sets parameters in MonitorController for entry server
		%>
		<jsp:setProperty name="MonitorController" property="host"
			value='<%= serverConf.getHost() %>'/>
		<jsp:setProperty name="MonitorController" property="jmxPort"
			value='<%= serverConf.getJmxPort() %>'/>
		<jsp:setProperty name="MonitorController" property="jmxLogin"
			value='<%= serverConf.getJmxLogin() %>'/>
		<jsp:setProperty name="MonitorController" property="jmxPassword"
			value='<%= serverConf.getJmxPassword() %>'/>
		<%
	}
	else //received POST method but no serverConf found in session -> redirect to login page
	{
		response.sendRedirect(request.getContextPath()+"/");
	}

//get current environment : if no page set, going to monitoring
String current_page=request.getParameter("page");
if(current_page==null)
	current_page="monitor";
//initializing of pages available
HashMap<String,String> list_pages = new HashMap<String,String>();
list_pages.put("quit","Quit");
list_pages.put("monitor","Monitoring");

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>PEtALS Administration</title>
<link rel="shortcut icon" type="image/x-icon" href="img/favicon.png" />
<link rel="stylesheet" href="includes/style.css" type="text/css" media="screen" />
<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="includes/style-ie.css" media="screen" />
<![endif]-->

<!-- NORNIX MENU -->
<link rel="stylesheet" type="text/css" href="includes/menu.css" />
<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="includes/menu-ie.css" media="screen" />
<![endif]-->
<!--[if lte IE 7]>
	<link rel="stylesheet" type="text/css" href="includes/menu-ie7.css" media="screen" />
<![endif]-->
<!-- NORNIX -->

<script type="text/javascript" src="includes/tools.js"></script>
<script type="text/javascript" src="includes/ajax.js"></script>
</head>

<body>

<div id="container">

<div id="top">
	<img src="img/logo.png" id="logo" alt="PEtALS" />
</div> <!-- fin #top -->

<div id="topnav">
	<ul id="tab_menu">
		<li class="tab_active">Monitoring</li>
		<li><a href="quit.jsp" title="Quit PEtALS Admin">Quit</a></li>
	</ul>
</div> <!-- fin #topnav -->
<div id="topshadow">&nbsp;</div>

<div id="page">
	<div id="leftnav">
		<h1><%=list_pages.get(current_page)%></h1>
		<div id="menu" class="menu">
		<jsp:include flush="true" page="menu.jsp"></jsp:include>
		</div>
		<a href="#" onclick="openPage('menu.jsp','menu');return false;" title="Refresh Menu" class="refresh"><img src="img/refresh.png" alt="Refresh Menu"/></a>
		<div id="actions">
			<jsp:include flush="true" page="startstop.jsp"></jsp:include>
		</div>
		<div id="retr_exch">
			<jsp:include flush="true" page="retrieve_exchanges.jsp"></jsp:include>
				<script type="text/javascript">
					timer_retr=setInterval("refresh_retr()",2000);
				</script>
		</div>
	</div> <!-- fin #leftnav -->
	<div id="content">
		<h1>&nbsp;</h1>
		&nbsp;
	</div> <!-- fin #content -->
</div> <!-- fin #page -->

</div> <!-- fin #container -->

<div id="footer">
<a href="http://www.ebmwebsourcing.com" title="&copy; EBM WebSourcing 2007">&copy; EBM WebSourcing 2007</a>
</div>
</body>
</html>
<%
}
%>
