<!--
/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -
 * $Id: menu.jsp msauvage $
 * -
*/
-->
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="true"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="org.objectweb.petals.tools.webadmin.util.JBIEntity"%>
<%@page import="org.objectweb.petals.tools.webadmin.Object.ServerConfiguration"%>
<jsp:useBean id="MonitorController" scope="session" class="org.objectweb.petals.tools.webadmin.controller.MonitorController"></jsp:useBean>
<%
ServerConfiguration entryServer = (ServerConfiguration) session.getAttribute("entryServerConf");

List<ServerConfiguration> startedServers=null;
try {
	startedServers = MonitorController.getStartedServers(entryServer.getConnection());
}
catch (Exception e)
{
	%>
	<a href="#" onclick="openPage('network.jsp','content');return false;" title="Network Monitor">Network</a>
	<%
}

if (startedServers!=null && startedServers.size()>0)
{
	%>
	<a href="#" onclick="openPage('network.jsp','content');return false;" title="Network Monitor" style="clear:both;">Network</a>
	<%
		session.setAttribute("startedServers",startedServers);
	%>
	<ul>
	<%
	//constructing server's tree
	for (ServerConfiguration currentServer : startedServers)
	{
		String serverName = currentServer.getName();
		%>
		<li id="server-<%=serverName%>">
		<a class="server" href="#" onclick="openPage('server.jsp?serv=<%=serverName%>','content');return false;" title="Server <%=serverName%>">Server <%=serverName%></a>
		<ul>
		<%
		//Binding Components branch
		Map<String, JBIEntity> serverBCComponents = MonitorController.listComponents(currentServer.getConnection(),"BC");
		String itemCssClass="";
		if (serverBCComponents.size()==0)
			itemCssClass="folder open";
		%>
		<li id="bc-<%=serverName%>" class="<%=itemCssClass%>">
		<a href="#" onclick="return false;" title="BC for Server <%=serverName%>">Binding Components</a>
		<%
		if (serverBCComponents.size()>0)
		{
			%>
			<ul>
			<%
			for (String key : serverBCComponents.keySet())
			{
				JBIEntity currentComponent = serverBCComponents.get(key);
				%>
				<li>
				<a href="#" onclick="openPage('component.jsp?serv=<%=serverName%>&amp;compo=<%=currentComponent.getName()%>','content');return false;" title="View <%=currentComponent.getName()%> details"><%=currentComponent.getName()%></a>
				</li>
				<%
			}
			%>
			</ul>
			<%
		}
		%>
		</li>
		<%
		//Service Engine branch
		Map<String, JBIEntity> serverSEComponents = MonitorController.listComponents(currentServer.getConnection(),"SE");
		itemCssClass="";
		if (serverBCComponents.size()==0)
			itemCssClass="folder open";
		%>
		<li id="se-<%=serverName%>" class="<%=itemCssClass%>">
		<a href="#" onclick="return false;" title="SE for Server <%=serverName%>">Service Engine</a>
		<%
		if (serverSEComponents.size()>0)
		{
			%>
			<ul>
			<%
			for (String key : serverSEComponents.keySet())
			{
				JBIEntity currentComponent = serverSEComponents.get(key);
				%>
				<li>
				<a href="#" onclick="openPage('component.jsp?serv=<%=serverName%>&amp;compo=<%=currentComponent.getName()%>','content');return false;" title="View <%=currentComponent.getName()%> details"><%=currentComponent.getName()%></a>
				</li>
				<%
			}
			%>
			</ul>
			<%
		}
		%>
		</li>
		</ul>
		</li>
		<%
	}
	%>
	</ul>
	<%
}
else
{
	%>
	<a href="#" onclick="openPage('network.jsp','content');return false;" title="Network Monitor">Network</a>
	<%
}
%>
<script type="text/javascript" src="includes/common.js"></script>
<script type="text/javascript" src="includes/treemenu.js"></script>
