<!--
/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -
 * $Id: server.jsp msauvage $
 * -
*/
-->
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8" session="true"%>
<%@page import="java.util.Map"%>
<%@page import="org.objectweb.petals.tools.webadmin.util.JBIEntity"%>
<%@page import="java.util.List"%>
<%@page import="org.objectweb.petals.tools.webadmin.Object.ServerConfiguration"%>
<jsp:useBean id="MonitorController" scope="session"
	class="org.objectweb.petals.tools.webadmin.controller.MonitorController"></jsp:useBean>
<%
List<ServerConfiguration> startedServers = null;
if (session.getAttribute("startedServers")!=null)
{
	startedServers = (List<ServerConfiguration>) session.getAttribute("startedServers");
}

if(request.getParameter("serv")==null)
{
	%>
	<h1>&nbsp;</h1>
	<div id="msg_exch">
		&nbsp;
	</div>
	<%
}
else
{
	if(startedServers!=null && startedServers.size()>0)
	{
		String serverName=request.getParameter("serv");
		%>
		<h1>Server <%=serverName%></h1>
		<div id="utils">
			<a href="#" onclick="setInnerHTML(document.getElementById('content'),getFileContent('server.jsp?serv=<%=serverName%>'));return false;" title="Refresh Content"><img src="img/refresh.png" alt="Refresh Content"/></a>
		</div>
		<%
		//extract configuration of the server asked from the started servers known
		ServerConfiguration serverConf = MonitorController.getServerConf(startedServers,serverName);
		session.setAttribute("currentServerConf",serverConf);
		
		if(serverConf==null)
		{
			%>
			<h2>Server Not Found</h2>
			<%
		}
		else
		{
			%>
			<div id="compo_server_<%=serverName%>" class="components">
			<h2>Components :</h2>
			<%
			//listing server's components started
			Map<String, JBIEntity> serverComponents = MonitorController.listComponents(serverConf.getConnection(),"ALL");
			if (serverComponents.size()>0)
			{
				%>
				<h4><%=serverComponents.size()%> active components : </h4>
				<ul>
				<%
				for(String key : serverComponents.keySet())
				{
					JBIEntity currentComponent = serverComponents.get(key);
					%>
					<li><%=currentComponent.getName()%> (<%=currentComponent.getType()%>)</li>
					<%
				}
				%>
				</ul>
				<%
			}
			else
			{
				%>
				<p>no component available on this server</p>
				<%
			}
			%>
			</div>
			<div id="msg_server_<%=serverName%>" class="msg-infos">
			<!-- statistics on messages activity on the server -->
				<h2>Messages on the Server :</h2>
				<!-- Messages activity repartition on the server -->
				<img id="graphMsg" 
					src="./graph/MsgRepartition?id=<%=Math.random()%>" 
					width="300" height="200" style="display:block;margin:10px auto;" 
					alt="Messages Repartition"/>
				<script type="text/javascript">
					timer_grMsg=setInterval("refresh_grMsg()",2000);
				</script>

				<!-- messages activity on  -->
				<img id="graphMsgPerSec"
					src="./graph/MsgPerSecond?id=<%=Math.random()%>"
					width="500" height="300" style="display:block;margin:10px auto;"
					alt="Messages Per Second" />
				<script type="text/javascript">
					timer_mps=setInterval("refresh_mps()",2000);
				</script>
			</div>
			<%
		}
	}
	else 
	{
		//there is no server started -> redirect to login 
		//or invite to refresh menu to retrieve server's informations
		%>
		<h1>Session Down</h1>
		<p>There is no server known.</p>
		<p>Session has expired, try to <a href="quit.jsp" title="Restart PEtALS Admin">reconnect</a> or refresh menu.</p>
		<%
	}
}
%>