<!--
/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -
 * $Id: startstop.jsp msauvage $
 * -
*/
-->
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8" session="true"%>
<%@page import="java.util.List"%>
<%@page import="org.objectweb.petals.tools.webadmin.Object.ServerConfiguration"%>
<jsp:useBean id="MonitorController" scope="session"
	class="org.objectweb.petals.tools.webadmin.controller.MonitorController"></jsp:useBean>
<%
String serverName=null;
String action=null;
if(request.getParameter("serv")!=null)
{
	serverName=request.getParameter("serv");
}
if(request.getParameter("action")!=null)
{
	action=request.getParameter("action");
}
if (serverName!=null && action!=null)
{
	String actionText=null;
	if(action.equals("start"))
		actionText="started";
	else
		actionText="stopped";

	if (session.getAttribute("startedServers")!=null)
	{
		List<ServerConfiguration> startedServers = (List<ServerConfiguration>) session.getAttribute("startedServers");
		if (startedServers!=null && startedServers.size()>0)
		{
			if (!serverName.equals("all"))
			{
				//extract configuration of the server asked from the started servers known
				ServerConfiguration serverConf = MonitorController.getServerConf(startedServers,serverName);
				if(serverConf!=null)
				{
					//sets monitoring status and modify label on page via js
					MonitorController.monitor(serverConf.getConnection(),action);
					%>
					<script type="text/javascript">
						changeMsg('<% out.print(serverConf.get("name")); %>_monitor_status','<% out.print(actionText); %>');
					</script>
					<%
				}
				else
				{
					%>
					<p>server not found</p>
					<%
				}
			}
			else
			{
				//sets all monitroting status
				MonitorController.monitorAllServers(startedServers,action);
				%>
				<script type="text/javascript">
				<%
				//modify label on page via js for each server
				for (ServerConfiguration currentServer : startedServers)
				{
					%>
					changeMsg('<%=currentServer.getName()%>_monitor_status','<%=actionText%>');
					<%
				}
				%>
				</script>
				<%
			}
		}
		else
		{
			%>
			<p>no server started</p>
			<%
		}
	}
}
%>